Submit a FIX quote
Submit a FIX quote
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"quote_id": "<string>",
"quote_type": 123,
"private_quote": true,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"account": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"ioi_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
quote_id: '<string>',
quote_type: 123,
private_quote: true,
parties: [{party_id: '<string>', party_id_source: '<string>', party_role: 123}],
symbol: '<string>',
side: '<string>',
account: '<string>',
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
order_type: '<string>',
trade_date: '<string>',
ioi_id: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/quote"
payload = {
"quote_msg_id": "<string>",
"quote_id": "<string>",
"quote_type": 123,
"private_quote": True,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"account": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"ioi_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/quote"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/quote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/quote");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Nội dung
Put-through quote request fields.
QuoteRequest schema.
Required.
Quote identifier.
Quote type.
Indicates whether the quote is private.
Trading symbol.
B or S; optional for quote.
Trading account used by the request.
Bid price.
Offer price.
Bid size.
Offer size.
Order type submitted by the client.
Trade date value for QuoteRequest.
IOI identifier.
Phản hồi
Accepted
AckResponse schema.
Indicates whether the operation completed successfully.
true
Detailed information for the record.
Ack schema.
Hide child attributes
Hide child attributes
Msg type value for Ack.
Request identifier.
Original request identifier when the operation references a prior request.
Client identifier reported by the record.
Routing identifier reported in the payload.
Source identifier reported by the payload.
Source sequence number for ordering updates.
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"quote_id": "<string>",
"quote_type": 123,
"private_quote": true,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"account": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"ioi_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
quote_id: '<string>',
quote_type: 123,
private_quote: true,
parties: [{party_id: '<string>', party_id_source: '<string>', party_role: 123}],
symbol: '<string>',
side: '<string>',
account: '<string>',
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
order_type: '<string>',
trade_date: '<string>',
ioi_id: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/quote"
payload = {
"quote_msg_id": "<string>",
"quote_id": "<string>",
"quote_type": 123,
"private_quote": True,
"parties": [
{
"party_id": "<string>",
"party_id_source": "<string>",
"party_role": 123
}
],
"symbol": "<string>",
"side": "<string>",
"account": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"order_type": "<string>",
"trade_date": "<string>",
"ioi_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/quote"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/quote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/quote");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"quote_id\": \"<string>\",\n \"quote_type\": 123,\n \"private_quote\": true,\n \"parties\": [\n {\n \"party_id\": \"<string>\",\n \"party_id_source\": \"<string>\",\n \"party_role\": 123\n }\n ],\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"account\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"order_type\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"ioi_id\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}
